{"swagger":"2.0","info":{"description":"This is a sample Petstore server.  You can find \nout more about Swagger at \n[http://swagger.io](http://swagger.io) or on \n[irc.freenode.net, #swagger](http://swagger.io/irc/).\n","version":"1.0.0","title":"2048","termsOfService":"http://swagger.io/terms/","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"}},"tags":[{"name":"user2048","description":"Operations about user","externalDocs":{"url":"http://api.samroid.ir"}}],"paths":{"/user2048/updateUser":{"post":{"tags":["user2048"],"summary":"update User","operationId":"updateUser","produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"body","description":"UserList","required":true,"schema":{"type":"object","items":{"$ref":"#/definitions/UserList"}}}],"responses":{"200":{"description":"successful operation","schema":{"type":"integer","format":"int64"}}}}},"/user2048/createUser":{"post":{"tags":["user2048"],"summary":"Creates list of users with given input array","operationId":"createUser","produces":["application/json","application/xml"],"parameters":[{"in":"body","name":"userDeviceID","description":"UserList","required":true,"schema":{"type":"object","items":{"$ref":"#/definitions/UserList"}}}],"responses":{"200":{"description":"successful operation","schema":{"type":"object","items":{"$ref":"#/definitions/UserList"}}},"default":{"description":"successful operation"}}}},"/user2048/getUserList":{"get":{"tags":["user2048"],"summary":"Get UserLists For LeaderBoard","operationId":"getUserList","produces":["application/json","application/xml"],"responses":{"200":{"description":"successful operation","schema":{"type":"array","items":{"$ref":"#/definitions/UserList"}}},"400":{"description":"Invalid status value"}}}},"/user2048/hello":{"get":{"tags":["user2048"],"summary":"Get UserLists For LeaderBoard","operationId":"hello","produces":["application/json","application/xml"],"responses":{"200":{"description":"successful operation","schema":{"type":"integer","format":"int64"}},"400":{"description":"Invalid status value"}}}}},"definitions":{"UserList":{"type":"object","properties":{"UserID":{"type":"integer","format":"int64"},"UserName":{"type":"string"},"UserScore":{"type":"integer","format":"int64"}},"xml":{"name":"UserList"}},"ApiResponse":{"type":"object","properties":{"code":{"type":"integer","format":"int32"},"type":{"type":"string"},"message":{"type":"string"}}}},"schemes":["https","http"],"host":"virtserver.swaggerhub.com","basePath":"/samar.abd/2048/1.0.0"}